{% block sw_cms_create_wizard_first_step %}
    <div
            v-if="step === 1"
            class="sw-cms-create-wizard__step-1"
    >
        <template>
            <template v-if="!presentationMode">
                {% block sw_cms_create_wizard_page_type %}
                    {% parent() %}
                {% endblock %}
            </template>
            <h2 class="sw-cms-create-wizard__title presentation">
                {{ $tc('sw-cms.createWizard.choosePresentationPageTypeTitle') }}
            </h2>
            <div class="sw-cms-create-wizard__page-type-selection">
                <div class="sw-cms-create-wizard__page-type" @click="onPresentationPageTypeSelect('presentation_landingpage')">
                    <sw-icon :name="pageTypeIcons.presentation_landingpage" size="24"></sw-icon>
                    <p v-if="!presentationMode">{{ $tc('sw-cms.detail.label.pageTypePresentationLandingpage') }}</p>
                    <p v-else>{{ $tc('sw-cms.detail.label.pageTypeLandingpage') }}</p>
                </div>

                <div class="sw-cms-create-wizard__page-type"
                     @click="onPresentationPageTypeSelect('presentation_product_detail')">
                    <sw-icon :name="pageTypeIcons.presentation_product_detail" size="24"></sw-icon>
                    <p v-if="!presentationMode">{{ $tc('sw-cms.detail.label.pageTypePresentationProduct') }}</p>
                    <p v-else>{{ $tc('sw-cms.detail.label.pageTypeProduct') }}</p>
                </div>

                <div class="sw-cms-create-wizard__page-type" @click="onPresentationPageTypeSelect('presentation_product_list')">
                    <sw-icon :name="pageTypeIcons.presentation_product_list" size="24"></sw-icon>
                    <p v-if="!presentationMode">{{ $tc('sw-cms.detail.label.pageTypePresentationCategory') }}</p>
                    <p v-else>{{ $tc('sw-cms.detail.label.pageTypeListing') }}</p>
                </div>
            </div>

            <template v-if="refererId">
                <router-link
                        :to="{ name: referer, params: {id: refererId}}"
                        class="sw-cms-create-wizard__back"
                >
                    <sw-icon
                            name="regular-times-s"
                            small
                    /> {{ $tc('sw-cms.createWizard.abortCreation') }}
                </router-link>
            </template>
            <router-link v-else
                         class="sw-cms-create-wizard__back"
                         :to="{ name: 'sw.cms.index' }"
            >
                <sw-icon
                        name="regular-times-s"
                        small
                /> {{ $tc('sw-cms.createWizard.abortCreation') }}
            </router-link>

            <template v-if="presentationMode">
                {% block sw_cms_create_wizard_first_step_helptext %}
                {% endblock %}
            </template>
        </template>
    </div>

{% endblock %}

{% block sw_cms_create_wizard_second_step_back %}
    <template v-if="refererId">
        <router-link
                :to="{ name: referer, params: {id: refererId}}"
                class="sw-cms-create-wizard__back"
        >
            <sw-icon
                    name="regular-times-s"
                    small
            /> {{ $tc('sw-cms.createWizard.abortCreation') }}
        </router-link>
    </template>
    <template v-else>
        {%  parent() %}
    </template>
{% endblock %}

{% block sw_cms_create_wizard_third_step_back %}
    <template v-if="refererId">
        <router-link
                :to="{ name: referer, params: {id: refererId}}"
                class="sw-cms-create-wizard__back"
        >
            <sw-icon
                    name="regular-times-s"
                    small
            /> {{ $tc('sw-cms.createWizard.abortCreation') }}
        </router-link>
    </template>
    <template v-else-if="presentationChosen">
        <div
                class="sw-cms-create-wizard__back"
                @click="goToStep('pageType')"
        >
            <sw-icon
                    name="default-arrow-simple-left"
                    small
            /> {{ $tc('sw-cms.createWizard.stepBack') }}
        </div>
    </template>
    <template v-else>
        {%  parent() %}
    </template>
{% endblock %}
